<script setup lang="ts">
import {RealEstateFilters} from "./RealEstateFilters";

const filters = defineModel<RealEstateFilters>({ default: () => ({}) })

const emits = defineEmits<{ 'update:model-value': [item: RealEstateFilters] }>()
</script>

<template>
  <v-card class="w-100" min-width="300px">
    <template #title>
      <v-card-title>
        Immobilien filtern
      </v-card-title>
    </template>
    <v-card-text>

      <v-form>
        <p>Preis</p>
        <div class="d-inline-flex w-100">
          <v-text-field
            clearable
            v-model.number="filters.priceFrom"
            variant="outlined"
            density="compact"
            type="number"
            label="Von"
            class="mr-3"
            append-inner-icon="mdi-currency-eur"
          />
          <v-text-field
            clearable
            v-model.number="filters.priceTo"
            variant="outlined"
            density="compact"
            type="number"
            label="Bis"
            append-inner-icon="mdi-currency-eur"
          />
        </div>
        <p>Quadratmeter</p>
        <div class="d-inline-flex w-100">
          <v-text-field
            clearable
            v-model.number="filters.sqmFrom"
            variant="outlined"
            density="compact"
            type="number"
            label="Von"
            class="mr-3"
            append-inner-icon="mdi-vector-square"
          />
          <v-text-field
            clearable
            v-model.number="filters.sqmTo"
            variant="outlined"
            density="compact"
            type="number"
            label="Bis"
            append-inner-icon="mdi-vector-square"
          />
        </div>
        <p>Zimmer</p>
        <div class="d-inline-flex w-100">
          <v-text-field
            clearable
            v-model.number="filters.roomsFrom"
            variant="outlined"
            density="compact"
            type="number"
            label="Von"
            class="mr-3"
            append-inner-icon="mdi-sofa"
          />
          <v-text-field
            clearable
            v-model.number="filters.roomsTo"
            variant="outlined"
            density="compact"
            type="number"
            label="Bis"
            append-inner-icon="mdi-sofa"
          />
        </div>
        <p>Badezimmer</p>
        <div class="d-inline-flex w-100">
          <v-text-field
            clearable
            v-model.number="filters.bathroomsFrom"
            variant="outlined"
            density="compact"
            type="number"
            label="Von"
            class="mr-3"
            append-inner-icon="mdi-shower"
          />
          <v-text-field
            clearable
            v-model.number="filters.bathroomsTo"
            variant="outlined"
            density="compact"
            type="number"
            label="Bis"
            append-inner-icon="mdi-shower"
          />
        </div>
      </v-form>
    </v-card-text>
    <template #actions>
      <v-btn @click="emits('update:model-value', {})">
        Zurücksetzen
      </v-btn>
    </template>
  </v-card>
</template>

<style scoped>

</style>
